<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingPrefix"
    android:id="@+id/cartFragmentMainLayout"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/actvity_default_background_color_1">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@drawable/background_wood" />

    <TextView
        android:id="@+id/noProductsOnCartTextView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:text="@string/no_product_on_cart"
        android:textColor="@color/white"
        android:gravity="center_horizontal"
        android:textSize="16sp"
        android:padding="24dp"
        android:visibility="gone" />

    <android.support.v7.widget.RecyclerView
        android:id="@+id/cartRecyclerView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/cartInfoLayout"
        android:scrollbars="vertical"
        android:visibility="gone"/>

    <LinearLayout
        android:id="@+id/cartInfoLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_alignParentBottom="true"
        android:visibility="visible">

        <View
            android:id="@+id/cartDividerSpace"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@drawable/shadow"
            android:visibility="gone"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="12dp"
            android:paddingBottom="24dp"
            android:paddingLeft="24dp"
            android:paddingStart="24dp"
            android:paddingRight="24dp"
            android:paddingEnd="24dp"
            android:background="@color/ghost_white">

            <TextView
                android:id="@+id/cartTotalLabelTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/black"
                fontPath="fonts/Quicksand-Bold.ttf"
                android:layout_gravity="center_horizontal"/>

            <TextView
                android:id="@+id/cartProductTotalTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="18sp"
                android:layout_marginTop="12dp"
                android:textColor="@color/red"
                android:layout_gravity="center_horizontal"
                fontPath="fonts/Quicksand-Bold.ttf"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/clearCartButton"
                    android:layout_width="match_parent"
                    android:layout_height="36dp"
                    android:layout_marginTop="12dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginEnd="6dp"
                    android:text="@string/clear_cart"
                    style="@style/PizzappGrayButtonWithoutMargin"
                    android:layout_weight="1"/>

                <Button
                    android:id="@+id/continueCartButton"
                    android:layout_width="match_parent"
                    android:layout_height="36dp"
                    android:layout_marginTop="12dp"
                    android:layout_marginLeft="6dp"
                    android:layout_marginStart="6dp"
                    android:text="@string/continue_cart"
                    style="@style/PizzappGrayButtonWithoutMargin"
                    android:layout_weight="1"/>

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>




</RelativeLayout>